Package org.apache.nutch.service.resources

## Class SeedResource

- java.lang.Object
- - org.apache.nutch.service.resources.AbstractResource
  - - org.apache.nutch.service.resources.SeedResource

-     @Path("/seed")
      public class SeedResource
      extends AbstractResource

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.service.resources.AbstractResource

      `configManager, jobManager, server`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeedResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Response` | `createSeedFile​(SeedList seedList)` | Method creates seed list file and returns temporary directory path
    `javax.ws.rs.core.Response` | `getSeedLists()` | Gets the list of seedFiles already created

    - ### Methods inherited from class org.apache.nutch.service.resources.AbstractResource

      `throwBadRequestException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeedResource

          public SeedResource()

  - ### Method Detail

    - #### getSeedLists

          @GET
          @Path("/")
          @Produces("application/json")
          public javax.ws.rs.core.Response getSeedLists()

      Gets the list of seedFiles already created
      Returns:
        `Map` of <String, SeedList>

    - #### createSeedFile

          @POST
          @Path("/create")
          @Consumes("application/json")
          @Produces("text/plain")
          public javax.ws.rs.core.Response createSeedFile​(SeedList seedList)

      Method creates seed list file and returns temporary directory path
      Parameters:
        `seedList` - a populated `SeedList`
      Returns:
        path to seedfile